:root {
    --vermelho: #dc1d2e;
    --azul: #004e9b;
    --azul-escuro: #020e32;
}

@keyframes pulse-white {
    0% {
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.8);
    }

    80% {
        box-shadow: 0 0 0 14px rgba(37, 211, 102, 0);
    }
}

@keyframes pulse-blue {
    0% {
        box-shadow: 0 0 0 0 rgba(26, 54, 104, 0.8);
    }

    80% {
        box-shadow: 0 0 0 14px rgba(37, 211, 102, 0);
    }
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: var(--azul);
}

p {
    font-size: 1.1rem;
}

a:hover {
    text-decoration: none;
}

.name-input {
    display: none;
    visibility: hidden;
}

#cronometro,
#chamada,
#depoimentos,
#sobre-jbs,
#servicos {
    padding: 40px 0;
}

@media (max-width: 768px) {
    h2 {
        font-size: 1.5rem;
    }
}

button:focus {
    outline: none;
}

a.btn-cta,
button.btn-cta {
    border: none;
    background-color: var(--cta);
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    display: inline-block;
    width: 100%;
    text-align: center;
    padding: 20px 30px;
    font-size: 1.3rem;
    transition: all 0.3s;
    border-radius: 50px;
    border: 4px solid #fff;
}

a.btn-cta:hover,
button.btn-cta:hover {
    transform: scale(1.03);
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

/* ENVIANDO FORM */
#enviando-form {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100vh;
    display: none;
}

#enviando-form.active {
    display: block;
}

#enviando-form .wrapper {
    width: 200px;
    height: 60px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#enviando-form .circle {
    width: 20px;
    height: 20px;
    position: absolute;
    border-radius: 50%;
    background-color: #fff;
    left: 15%;
    transform-origin: 50%;
    animation: circle 0.5s alternate infinite ease;
}

@keyframes circle {
    0% {
        top: 60px;
        height: 5px;
        border-radius: 50px 50px 25px 25px;
        transform: scaleX(1.7);
    }

    40% {
        height: 20px;
        border-radius: 50%;
        transform: scaleX(1);
    }

    100% {
        top: 0%;
    }
}

#enviando-form .circle:nth-child(2) {
    left: 45%;
    background-color: var(--primary);
    animation-delay: 0.2s;
}

#enviando-form .circle:nth-child(3) {
    left: auto;
    right: 15%;
    animation-delay: 0.3s;
    background-color: var(--dark);
}

#enviando-form .shadow {
    width: 20px;
    height: 4px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.5);
    position: absolute;
    top: 62px;
    transform-origin: 50%;
    z-index: -1;
    left: 15%;
    filter: blur(1px);
    animation: shadow 0.5s alternate infinite ease;
}

@keyframes shadow {
    0% {
        transform: scaleX(1.5);
    }

    40% {
        transform: scaleX(1);
        opacity: 0.7;
    }

    100% {
        transform: scaleX(0.2);
        opacity: 0.4;
    }
}

#enviando-form .shadow:nth-child(4) {
    left: 45%;
    animation-delay: 0.2s;
}

#enviando-form .shadow:nth-child(5) {
    left: auto;
    right: 15%;
    animation-delay: 0.3s;
}

#enviando-form .wrapper span {
    position: absolute;
    top: 75px;
    font-size: 20px;
    color: #fff;
    font-weight: bold;
    width: 400px;
    left: -50%;
    text-align: center;
}

@media (max-width: 576px) {
    #enviando-form .wrapper span {
        width: 280px;
        left: -20%;
    }
}

/* WHATSAPP */

#modalWhatsapp button.cta {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    background-color: #25d366;
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    padding: 10px 20px;
    font-size: 1.5rem;
    transition: all 0.5s;
    border: none;
    outline: none;
    width: 100%;
    transition: all 0.3s;
    font-weight: bold;
    text-transform: uppercase;
}

#modalWhatsapp button.cta:hover {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    background-color: #25d366;
    color: #fff;
}

.btn-whatsapp-pulse {
    background: #25d366;
    color: white;
    z-index: 90;
    position: fixed;
    bottom: 20px;
    right: 40px;
    font-size: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 0;
    height: 0;
    padding: 35px;
    text-decoration: none;
    border-radius: 50%;
    animation-name: pulse;
    animation-duration: 1.5s;
    animation-timing-function: ease-out;
    animation-iteration-count: infinite;
    cursor: pointer;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.8);
    }

    80% {
        box-shadow: 0 0 0 14px rgba(37, 211, 102, 0);
    }
}

@media (max-width: 465px) {
    .btn-whatsapp-pulse {
        bottom: 40px;
    }
}

/* RODAPÉ */
footer {
    padding: 30px 0;
    background-color: var(--azul);
    color: #fff;
}

footer iframe {
    width: 100%;
    height: 200px;
}

footer .infos li {
    font-weight: 400;
}

footer a,
footer p,
footer ul li {
    font-weight: bold;
    font-size: 1.1rem;
}

footer a.loja {
    font-weight: bold;
    color: #f57328;
}

footer img {
    width: 250px;
    margin-bottom: 20px;
}

footer ul {
    list-style: none;
    padding: 0;
}

footer ul li a,
footer ul li a:hover {
    color: #fff;
    font-weight: bold;
}

footer hr {
    border-color: #fff;
}

footer .desenvo a {
    color: #f57328;
    font-weight: bold;
    font-weight: bold;
}

.modal-body iframe {
    width: 100%;
    height: 400px;
}

header form {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
}

header form button {
    background-color: var(--azul);
    border: none;
    font-weight: bold;
    text-transform: uppercase;
    display: inline-block;
    border-radius: 5px;
    padding: 10px 20px;
    width: 100%;
    color: #fff;
}

#local iframe {
    width: 100%;
    height: 400px;
    display: block;
}

#depo .card-depo {
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;
}

#depo .card-depo i {
    color: #ffde00;
    filter: drop-shadow(1px 0px 0px #f57328);
}

.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #333;
    color: white;
    padding: 15px;
    text-align: center;
    z-index: 999;
}

.cookie-banner button {
    background: #007bff;
    color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    margin-left: 10px;
}

.form-check .form-check-label {
    color: #000;
}

.form-group .is-invalid {
    color: red;
}